Bug 73766 - rhn-applet gives traceback with SSL23_WRITE error
Summary: rhn-applet gives traceback with SSL23_WRITE error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhnlib   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-10 14:46 UTC by Michael Young
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-12 12:44:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Young 2002-09-10 14:46:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020826

Description of problem:
I clicked on the rhn-applet when it was in its ? mode, and got the following
error in a window, which asked me to report it. I suspect this is related to bug
69781

Exception type SSL.Error

Exception Handler Information
Traceback (most recent call last):
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 423, in refresh
    self.model.refresh(force)
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_model.py", line 262, in refresh
    self.__rpc_server__.refresh(force)
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_rpc.py", line 84, in refresh
    status = server.applet.poll_status()
  File "/usr/src/build/136906-i386/install/usr/lib/python2.2/xmlrpclib.py", line
821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 126, in _request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 118, in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 602, in send_http
    headers=self.headers)
  File "/usr/src/build/136906-i386/install/usr/lib/python2.2/httplib.py", line
537, in request
    self._send_request(method, url, body, headers)
  File "/usr/src/build/136906-i386/install/usr/lib/python2.2/httplib.py", line
553, in _send_request
    self.putrequest(method, url)
  File "/usr/lib/python2.2/site-packages/rhn/connections.py", line 217, in
putrequest
    return HTTPConnection.putrequest(self, method, url, skip_host=skip_host)
  File "/usr/src/build/136906-i386/install/usr/lib/python2.2/httplib.py", line
453, in putrequest
    self.send(str)
  File "/usr/src/build/136906-i386/install/usr/lib/python2.2/httplib.py", line
407, in send
    self.sock.sendall(str)
  File "/usr/lib/python2.2/site-packages/rhn/SSL.py", line 185, in write
    sent = self._connection.send(data)
Error: [('SSL routines', 'SSL23_WRITE', 'ssl handshake failure')]

Comment 1 Michael Young 2002-09-10 14:52:26 UTC
and to bug 73230

Comment 2 Daniel Veillard 2003-09-28 19:23:26 UTC
This shoudl be caught directly by the rhnlib layer, it's probably
fixed now.

Daniel

Comment 3 Michael Young 2004-01-12 12:44:49 UTC
Closing as probably fixed (and also now probably irrelevant).


Note You need to log in before you can comment on or make changes to this bug.